module Eve
  module Api

    class AccountStatus < Eve::Api::Resource

      attr_reader :paid_until, :create_date, :logon_count, :logon_minutes

      def self.endpoint
        "account/AccountStatus.xml.aspx"
      end

      def self.client
        @@xml_client
      end

      def initialize(opts={})
        @paid_until    = opts["paidUntil"]
        @create_date   = opts["createDate"]
        @logon_count   = opts["logonCount"]
        @logon_minutes = opts["logonMinutes"]
      end

    end

  end
end
