module Eve
  module Api
    module Client

      class Xml

        ROOT_URL = "https://api.eveonline.com/"
        KEY_ID = '658484'
        VERIFICATION_CODE = 'f3WATUqyLracdwYacEYjYCP5xr7qMao4SMOWy9tnH9jqAsvRSTZJu9iyCdqmVyyH'

        def initialize
          key_id = KEY_ID
          verification_code = VERIFICATION_CODE
          @creds = { keyID: key_id, vcode: verification_code }
        end

        def get(url)
          url_string = "#{Xml::ROOT_URL}#{url}?#{encoded_params}"
          puts "GET: #{url_string}"
          response = HTTParty.get(url_string)

          begin
            response["eveapi"]["result"]
          rescue
            raise "Could not process Response"
          end
        end

      private

        def encoded_params
          @encoded_creds ||= URI.encode_www_form(@creds)
        end

      end

    end
  end
end
