module Eve
  module Api
    class Resource

      @@xml_client = Eve::Api::Client::Xml.new
      @@crest_client = Eve::Api::Client::Crest.new

      def self.get(opts={})
        response = self.client.get(self.endpoint)
        self.new(response)
      end

      def self.endpoint
        raise "#{self.class.name}#endpoint not yet implemented"
      end

    end
  end
end
